Flash Builder 실행 실패-잘못된 응용 프로그램 설명자:알 수없는 네임 스페이스



flex air (1)

문제는 현재 사용중인 Flex SDK (4.6.0)에 사용할 수없는 AIR SDK 버전 (16)을 나타내는 것입니다.

따라서 이러한 문제를 피하려면 다음을 수행 할 수 있습니다.

  • 1. 일반적으로 3.x 인 Flex 4.6.0 SDK와 함께 설치된 AIR SDK 버전을 사용합니다 (업그레이드하지 않은 경우).

  • 2. Flex 4.6.0 SDK 용 AIR SDK 버전 16을 설치합니다.

어떻게?

1. "C : \ Program Files \ Adobe \ Adobe Flash Builder 4.7 (64 비트) \ sdks \ 4.6"인 AIR Debug Launcher (ADL) exe를 실행하여 Flex SDK의 AIR SDK 설치 버전을 다운로드 할 수 있습니다. .0 \ bin \ adl.exe " cmd.exe를 사용하여 :

새 프로젝트를 만들 때 더 쉽게 얻을 수 있습니다.

제 경우에는 3.1.0입니다 . 그래서 내 project-app.xml 에 다음을 넣어야합니다.

<application xmlns="http://ns.adobe.com/air/application/3.1">

2. Flex SDK의 AIR SDK 버전을 업그레이드하려면 다음을 수행하십시오.

  • 에이. 원하는 경우 현재 SDK 디렉토리 ( "C : \ Program Files \ Adobe \ Adobe Flash Builder 4.7 (64 비트) \ sdks \ 4.6.0")의 백업을 만듭니다 . 언제든지 Sourceforge 에서 Flex SDK 버전을 다운로드 할 수 있습니다.

  • 비. 원하는 AIR SDK (사례의 경우 버전 16)를 Adobe 에서 다운로드하십시오. SDK는 물론 런타임이 아니며 컴파일러도 필요하지 않습니다. SDK 만 제공됩니다.

  • 기음. 다운로드 한 파일 (zip 아카이브)의 압축을 푼 다음 내용을 복사하여 기존 내용을 덮어 쓰면서 Flex SDK 디렉토리에 붙여 넣습니다.

  • 디. 마지막으로 Flash Builder를 열고 새 프로젝트를 만들고 적절한 AIR SDK를 선택합니다.

필자의 경우, Flex와 AIR SDK의 많은 조합을 설치했습니다.

희망이 도움이 될 수 있습니다.

내 컴퓨터에서 Flex 모바일 프로젝트를 실행하는 데 어려움이 있습니다. 시도하고 프로젝트를 실행할 때 다음과 같은 오류가 발생합니다.

프로세스가 예기치 않게 종료되었습니다.

잘못된 응용 프로그램 설명자 : 알 수없는 네임 스페이스 : http://ns.adobe.com/air/application/16.0

"C : \ Program Files \ Adobe \ Adobe Flash Builder 4.7 (64 비트) \ sdks \ 4.6.0 \ bin \ adl.exe"-runtime " 64 비트) \ sdks \ 4.6.0 \ runtimes \ air \ win "-profile mobileDevice -screensize 320x460 : 320x480 -XscreenDPI 163 -XversionPlatform IOS"C : \ Users \ dean.grobler \ Adobe Flash Builder 4.7 \ ProsperityHealth \ bin-debug \ ProsperityHealth \ bin-debug "\ ProsperityHealth \ app.xml"C : \ Users \ dean.grobler \ Adobe Flash Builder 4.7 \

Flash Builder 4.7을 사용하고 있습니다. 웹에서 비슷한 문제를 읽으려고했지만 몇 가지 답변을 찾을 수 없거나 매우 모호합니다.